List offramp orders
curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/ordersimport requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders")
.asString();require 'uri'
require 'net/http'
url = URI("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "noah",
"status": "pending",
"terminal": true,
"stages": {
"receipt": {
"status": "not_started"
},
"conversion": {
"status": "not_started"
},
"delivery": {
"status": "not_started"
},
"return": {
"status": "none"
}
},
"rail": {
"kind": "fiat",
"method": "<string>"
},
"fiat": {
"charged": {
"total": "<string>",
"net": "<string>",
"currency": "<string>"
},
"eur": {
"total": "<string>",
"net": "<string>"
},
"usd": {
"total": "<string>",
"net": "<string>"
}
},
"crypto": {
"asset": "<string>",
"network": "<string>",
"amount": "<string>"
},
"providerStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sender": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"payment": {
"kind": "direct",
"from": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"to": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"chain": "<string>",
"token": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"amount": "100000000"
},
"expiresAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}Offramp
List offramp orders
Newest first by when each order was opened. A customer bearer lists that customer’s orders; an API key with deposits:read, the project’s.
GET
/
offramp
/
orders
List offramp orders
curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/ordersimport requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders")
.asString();require 'uri'
require 'net/http'
url = URI("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "noah",
"status": "pending",
"terminal": true,
"stages": {
"receipt": {
"status": "not_started"
},
"conversion": {
"status": "not_started"
},
"delivery": {
"status": "not_started"
},
"return": {
"status": "none"
}
},
"rail": {
"kind": "fiat",
"method": "<string>"
},
"fiat": {
"charged": {
"total": "<string>",
"net": "<string>",
"currency": "<string>"
},
"eur": {
"total": "<string>",
"net": "<string>"
},
"usd": {
"total": "<string>",
"net": "<string>"
}
},
"crypto": {
"asset": "<string>",
"network": "<string>",
"amount": "<string>"
},
"providerStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sender": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"payment": {
"kind": "direct",
"from": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"to": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"chain": "<string>",
"token": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"amount": "100000000"
},
"expiresAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}Headers
Integrator API key: the project’s orders
Customer bearer from POST /compliance/sessions: that customer’s orders, and every order on its bound account
Example:
"Bearer eyJhbGciOi..."
Query Parameters
nextCursor of the previous page
Required range:
1 <= x <= 100Was this page helpful?